Hardware Support

Linux V4L2 Capture Support from Image Acquisition Toolbox

Use video capture devices with MATLAB and Simulink to acquire images and video on Linux.


Image Acquisition Toolbox™ supports UVC devices, such as USB webcams, using Video 4 Linux® 2 (V4L2) drivers. The previous version, Video 4 Linux 1, is not supported by the toolbox. See the Troubleshooting section of the Image Acquisition Toolbox documentation for additional information.

To test your video capture device for compatibility with the toolbox, verify your hardware is functioning properly by running the WebCam application that came with your Linux distribution (for example, the Cheese or Camorama application). If you can start, run, and close the utility without encountering any errors, the device may work with Image Acquisition Toolbox.

Manufacturers

Many manufacturers provide cameras and frame grabbers that are compatible with Linux systems. More detailed information is available for manufacturers linked below.

Please see the Troubleshooting section of the Image Acquisition Toolbox documentation for additional information.

Platform and Release Support

Video 4 Linux 2 is supported on the following operating systems:

  • Linux (64-bit)

Related Hardware Support Views: MATLAB, Simulink, Allied Vision, Automotive, Basler, Baumer, Biotech and Pharmaceutical, Computer Vision System Toolbox, Consumer Electronics, Consumer Goods, Creative, FLIR, GEViCAM, Hewlett-Packard, Image Acquisition Toolbox, Image Processing Toolbox, Image Processing and Computer Vision, Imperx, Industrial Automation and Machinery, JAI, Logitech, MATLAB Product Family, MathWorks Supported, Matrix Vision, Metals, Materials, and Mining, Microsoft, PixeLINK, Point Grey, Semiconductor, Sony, Support Package Installer Enabled, Teledyne DALSA, Toshiba Teli, V4L2

Ready to install?

Before installing the support package, confirm you have the correct setup. View system requirements and installation options.

Get Support Package

Software

Required

Recommended

Support Package

Required

Support Package Installer installs this support package. To start the installer, go to the MATLAB toolstrip and click Add-Ons > Get Hardware Support Packages. For more information, read the documentation.

Get Support Package

Hardware

Required

  • Any V4L2 Compliant Camera

Don't see the hardware you're looking for?